Redmine - Feature #42603

Enable commonmark alert extension
2025-04-21 08:22 - Marius BALTEANU

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 6.1.0

Resolution: Fixed

Description

Associated revisions

Revision 23724 - 2025-04-29 23:13 - Marius BALTEANU
Enable CommonMark alert extension (#42603).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

Revision 23725 - 2025-05-01 00:30 - Marius BALTEANU
Fixes failing test (#42603).

Revision 23727 - 2025-05-01 00:46 - Marius BALTEANU

Fixes rubocop offense "Prefer assert_not_includes over refute_includes" (#42603).

Revision 23728 - 2025-05-01 00:56 - Marius BALTEANU
Fixes rubocop offenses (#42648, #42603).

History

#1 - 2025-04-28 10:03 - Mizuki ISHIKAWA
- File 0001-Enable-common_mark-alerts.patch added
- File screenshot 2025-04-28 16.45.56.png added

| am attaching a patch that enables the alerts extension in commonMark.

Input:

[!TIP]
> Something of tip

> [!note]
> Something of note

['warning]

Something of warning
I I I

vV V. V V V

[limportant]
> Something of warning

> [!lcaution]
> Something of warning

['other]
> This should not become an alert.

It will be displayed as follows by the common_mark gem:
screenshot 2025-04-28 16.45.56.png
Feedback on the appearance of the alerts, such as their colors, is welcome.
Additional Notes:

e This patch does not support PDF export functionality.
e Alert types such as Note and Important are not localized and will always be displayed in English regardless of the user's language.

#2 - 2025-04-29 23:21 - Marius BALTEANU

- Category set to Text formatting

- Status changed from New to Resolved

- Assignee set to Marius BALTEANU

- Target version changed from Candidate for next major release to 6.1.0

- Resolution set to Fixed

Thanks for taking care of this!

Mizuki ISHIKAWA wrote in #note-1:

| am attaching a patch that enables the alerts extension in commonMark.

Input:
(-]

It will be displayed as follows by the common_mark gem:

(-]

Feedback on the appearance of the alerts, such as their colors, is welcome.

From my point of view, the colors are ok.
Additional Notes:

e This patch does not support PDF export functionality.

| think this we should fix it, | will take a look in the following days.

e Alert types such as Note and Important are not localized and will always be displayed in English regardless of the user's language.

I'm not sure if it's really needed.

Beside these, we need to update the wiki pages help.

Files
0001-Enable-common_mark-alerts.patch 7.46 KB 2025-04-28 Mizuki ISHIKAWA
screenshot 2025-04-28 16.45.56.png 83.4 KB 2025-04-28 Mizuki ISHIKAWA
